#ifndef _CONFIG_H
#define _CONFIG_H

#include "ftn.h"

#ifndef AREA_LIST_TYPE
#define AREA_LIST_TYPE
typedef struct _area_list {
	struct _area_list *next;
	char *name;
} area_list;
#endif

typedef struct _modem_string {
	struct _modem_string *next;
	char *line;
	char *expr;
} modem_string;

extern fa_list *whoami;
extern fa_list *pwlist;
extern fa_list *nllist;
extern char *nlbase;
extern char *inbound;
extern char *outbound;
extern char *database;
extern char *aliasfile;
extern char *myfqdn;
extern char *areafile;
extern char *sequence;
extern char *sendmail;
extern char *rnews;
extern char *iftoss;
extern char *packer;
extern char *unzip;
extern char *unarj;
extern char *unlzh;
extern char *unarc;
extern char *unzoo;
extern char intab[];
extern char outtab[];
extern long maxfsize;
extern char *newslog;
extern char *msgidbm;
extern modem_string *modemport;
extern modem_string *phonetrans;
extern modem_string *modemreset;
extern modem_string *modemdial;
extern modem_string *modemhangup;
extern modem_string *modemok;
extern modem_string *modemconnect;
extern modem_string *modemerror;

int readconfig(void);
#endif
